TruthValue (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.ejb.criteria.predicate
Enum TruthValue

    java.lang.Object
      java.lang.Enum<TruthValue>
          org.hibernate.ejb.criteria.predicate.TruthValue

All Implemented Interfaces:
  Serializable, Comparable<TruthValue>

    public enum TruthValue

extends Enum<TruthValue>

Models what ANSI-SQL terms a truth value. Specifically, ANSI-SQL defines `TRUE`, `FALSE` and `UNKNOWN` as truth values. These truth values are used to explicitly check the result of a boolean expression (the syntax is like `a > b IS TRUE`. `IS TRUE` is the assumed default.

JPA defines support for only `IS TRUE` and `IS FALSE`, not `IS UNKNOWN` (`a > NULL` is an example where the result would be UNKNOWN). All 3 are provided here for completness.

Enum Constant Summary
`FALSE`
`TRUE`
`UNKNOWN`

Method Summary
`static TruthValue` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TruthValue[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TRUE

    public static final TruthValue TRUE

### FALSE

    public static final TruthValue FALSE

### UNKNOWN

    public static final TruthValue UNKNOWN

Method Detail

### values

    public static TruthValue[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TruthValue c : TruthValue.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TruthValue valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.